GNU bug report logs - #27131
25.2; Fedora 25 and vxsrv or cygwin x menus off screen

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: bryan@HIDDEN (Bryan M. Kramer); merged with #25064, #26130, #26855; dated Mon, 29 May 2017 16:36:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 25064 26130 26855 27131. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 May 2017 16:35:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 29 12:35:50 2017
Received: from localhost ([127.0.0.1]:43559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dFNe2-0004Na-ES
	for submit <at> debbugs.gnu.org; Mon, 29 May 2017 12:35:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1dFNDN-0003lL-Ri
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 12:08:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dFNDH-0007ka-Jq
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 12:08:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35125)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bryan@HIDDEN>)
 id 1dFNDH-0007kV-Gh
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 12:08:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59469)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dFNDF-0007jH-VK
 for bug-gnu-emacs@HIDDEN; Mon, 29 May 2017 12:08:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dFNDC-0007gF-LB
 for bug-gnu-emacs@HIDDEN; Mon, 29 May 2017 12:08:09 -0400
Received: from bas4-toronto02-69-158-31-199.dsl.bell.ca ([69.158.31.199]:47852
 helo=fedora17.home) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dFNDC-0007fy-GR
 for bug-gnu-emacs@HIDDEN; Mon, 29 May 2017 12:08:06 -0400
Received: by fedora17.home (Postfix, from userid 1000)
 id 1864520AE5; Mon, 29 May 2017 11:29:05 -0400 (EDT)
From: bryan@HIDDEN (Bryan M. Kramer)
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; Fedora 25 and vxsrv or cygwin x menus off screen
Date: Mon, 29 May 2017 11:29:04 -0400
Message-ID: <87y3tfvfzz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 29 May 2017 12:35:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Could be gtk problem. When running emacs on Fedora 25 with either cygwin
X or vcxsrv as the x-server running on Windows 10 or Windows 7, menus appear off screen. There are numerous
GTK messages in the console:


   (emacs:2521): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

   (emacs:2521): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

Note this doesn't happen when running on the Fedora 25 machine itself.

Also, raise-frame and make-frame-visible do not work.

In GNU Emacs 25.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.12)
 of 2017-05-02 built on buildvm-10.phx2.fedoraproject.org
Windowing system distributor 'HC-Consult', version 11.0.11902000
Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no --with-xwidgets --with-modules
 build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=format-security
 -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
 --param=ssp-buffer-size=4 -grecord-gcc-switches
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic'
 LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level
#<frame emacs@HIDDEN 0x11f8c30>
funcall-interactively: Attempt to delete the sole visible or iconified frame
Type C-x 1 to remove help window.  
mwheel-scroll: End of buffer
Type "q" in help window to restore its previous buffer.

Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils help-fns
apropos help-mode easymenu cl-loaddefs pcase cl-lib debug time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 93105 9478)
 (symbols 48 20003 0)
 (miscs 40 128 297)
 (strings 32 15390 5473)
 (string-bytes 1 437314)
 (vectors 16 12156)
 (vector-slots 8 446416 7327)
 (floats 8 176 223)
 (intervals 56 387 19)
 (buffers 976 23))




Acknowledgement sent to bryan@HIDDEN (Bryan M. Kramer):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27131; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Aug 2017 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.